KB3168740 – eine Zugriffsverletzung tritt auf, wenn Sie zwei übergeordnete Pakete ausführen, die dasselbe untergeordnete Paket parallel in SQL Server 2014 oder 2016 ausführen.

Problembeschreibung

Stellen Sie sich folgendes Szenario vor:

  • Sie verwenden SQL Server Integration Services (SSIS) mit SQL Server 2014 oder 2016.

  • Sie erstellen zwei SSIS-Pakete, die beide dasselbe untergeordnete Paket ausführen.

  • Das untergeordnete Paket enthält eine Verbindungszeichenfolge, die durch einen Ausdruck angegeben wird.

  • Sie führen diese beiden übergeordneten Pakete parallel aus.

In diesem Szenario kann eine Racebedingung auftreten, die eine Zugriffsverletzung verursacht.

Fehlerbehebung

Dieses Problem wurde in den folgenden kumulativen Updates für SQL Server behoben:

Kumulatives Update 8 für SQL Server 2014 Service Pack 1Kumulatives Update 2 für SQL Server 2014 SP2Kumulatives Update 2 für SQL Server 2016

Jedes neue kumulative Update für SQL Server enthält alle Hotfixes und alle Sicherheitsupdates, die im vorherigen kumulativen Update enthalten waren. Schauen Sie sich die neuesten kumulativen Updates für SQL Server an:

Neuestes Kumulatives Update für SQL Server 2014 neuestes Kumulatives Update für SQL Server 2016

Status

Microsoft hat bestätigt, dass es sich hierbei um ein Problem bei den in diesem Artikel genannten Microsoft-Produkten handelt.

Informationsquellen

Informieren Sie sich über die Terminologie , die Microsoft zum Beschreiben von Softwareupdates verwendet.

Benötigen Sie weitere Hilfe?

Ihre Office-Fähigkeiten erweitern
Schulungen erkunden
Neue Funktionen als Erster erhalten
Microsoft Insider beitreten

War diese Information hilfreich?

Vielen Dank für Ihr Feedback!

Vielen Dank für Ihr Feedback. Es klingt, als ob es hilfreich sein könnte, Sie mit einem unserer Office-Supportmitarbeiter zu verbinden.

×